<?php
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

if( isset($_GET["settings-updated"]) ) { ?>
<div id="message" class="updated">
	<p><strong><?php _e("Settings saved.") ?></strong></p>
</div>
<?php } ?>

<style>
	#sfba-int-container{
		width: 30%;
		background: #ffffff;
		padding: 0px;
		border: 2px solid #dcdcdc;
		display: inline-block;
		margin: 10px;
		vertical-align: top;
		min-height: 350px;
	}
	#sfba-mc-header{
		margin: 0;
		padding: 10px;
		text-align: center;
		background: #fceacc;
		color: white;
		font-size: 16px;
		font-family: 'Arial';
		font-weight: bold;
		letter-spacing: 2px;
		background-image: url('<?php echo plugins_url('../images/mc-logo.png',__FILE__);?>');
		background-position: center;
		background-repeat: no-repeat;
		height: 44px;
		background-size: 43%;
	}
	#sfba-gr-header{
		margin: 0;
		padding: 10px;
		text-align: center;
		background: #262626;
		color: white;
		font-size: 16px;
		font-family: 'Arial';
		font-weight: bold;
		letter-spacing: 2px;
		background-image: url('<?php echo plugins_url('../images/gr-logo.svg',__FILE__);?>');
		background-position: center;
		background-repeat: no-repeat;
		height: 44px;
		background-size: 49%;
	}
	#sfba-ac-header{
		margin: 0;
		padding: 10px;
		text-align: center;
		background: #4073b5;
		color: white;
		font-size: 16px;
		font-family: 'Arial';
		font-weight: bold;
		letter-spacing: 2px;
		background-image: url('<?php echo plugins_url('../images/ac-logo.png',__FILE__);?>');
		background-position: center;
		background-repeat: no-repeat;
		height: 44px;
	}
		#sfba-mm-header{
		margin: 0;
		padding: 10px;
		text-align: center;
		background: #aed8f2;
		color: white;
		font-size: 16px;
		font-family: 'Arial';
		font-weight: bold;
		letter-spacing: 2px;
		background-image: url('<?php echo plugins_url('../images/mm-logo.png',__FILE__);?>');
		background-size: contain;
		background-position: center;
		background-repeat: no-repeat;
		height: 44px;
	}
	#sfba_form_load_form{
		position: absolute;
		width: 98%;
	}
	#sfba-int-container-content{
		padding: 10px;
	}
	#sfba-int-container-content label{
		color: black;
		font-size: 13px;
		font-weight: bold;
	}
	#sfba-int-container-content input{
		color: black;
		font-size: 13px;
		font-weight: bold;
		border: 2px solid black;
		margin-top: 10px;
		width: 100%;
		height: 40px;
	}
</style>
<div class="wrap">
	<form method="post" action="options.php">
		<?php 	
		settings_fields( 'sfba_integration_options_group' );
		do_settings_sections( 'sfba_integration_options_group' );
		?>
		<h1 style="text-align: center; font-weight: bold;">Subscription Settings Page</h1>
		<h2></h2>
		<div id="sfba-int-container">
			<p id="sfba-mc-header"></p>
			<div id="sfba-int-container-content">
				<label for="sfba-mc-api-key">Enter Your MailChimp API Key:</label>
				<br/>
				<input type="text" id="sfba-mc-api-key" name="sfba_mc_api_key" class="" value="<?php echo esc_attr(get_option('sfba_mc_api_key')); ?>" placeholder="MailChimp API Key" />
				<p>Your <strong>List ID's</strong> will auto generate when you will create new Subscribe form to send users info to specific MailChimp's List ID.</p>
				<a href="http://kb.mailchimp.com/integrations/api-integrations/about-api-keys" target="_blank">Help: How to find your MailChimp API Key</a>
			</div>
		</div>
		<div id="sfba-int-container">
			<p id="sfba-gr-header"></p>
			<div id="sfba-int-container-content">
				<label for="sfba-gr-api-key">Enter Your GetResponse API Key:</label>
				<br/>
				<input type="text" id="sfba-gr-api-key" name="sfba_gr_api_key" class="" value="<?php echo esc_attr( get_option('sfba_gr_api_key') ); ?>" placeholder="GetResponse API Key" />
				<p>Your <strong>Campaign Names</strong> will auto generate when you will create new Subscribe form to send users info to specific GetResponse Campaign.</p>
				<a href="https://support.getresponse.com/faq/where-i-find-api-key" target="_blank">Help: How to find your GetResponse API Key</a>
			</div>
		</div>
		<div id="sfba-int-container">
			<p id="sfba-ac-header"></p>
			<div id="sfba-int-container-content">
				<label for="sfba-ac-url">Enter Your Active Campaign URL:</label>
				<br/>
				<input type="text" id="sfba-ac-url" class="" name="sfba_ac_url" value="<?php echo esc_attr( get_option('sfba_ac_url') ); ?>" placeholder="https://<account-name>.api-us1.com" />
				<br/><br/>
				<label for="sfba-ac-api-key">Enter Your Active Campaign API Key:</label>
				<br/>
				<input type="text" id="sfba-ac-api-key" name="sfba_ac_api_key" class="" value="<?php echo esc_attr( get_option('sfba_ac_api_key') ); ?>" placeholder="Active Campaign API Key" />
				<p>Your <strong>List ID's</strong> will auto generate when you will create new Subscribe form to send users info to specific Active Campaign's List ID.</p>
				<a href="http://www.activecampaign.com/help/using-the-api/" target="_blank">Help: How to find your Active Campaig URL & API KEY</a>
			</div>
		</div>
		<!-- <div id="sfba-int-container">
			<p id="sfba-mm-header"></p>
			<div id="sfba-int-container-content">
				<label for="sfba-mm-username">Enter Your MadMimi Username ( OR Email Address ):</label>
				<br/>
				<input type="text" id="sfba-mm-username" class="" name="sfba_mm_username" value="<?php echo esc_attr( get_option('sfba_mm_username') ); ?>" placeholder="example@domain.com" />
				<br/><br/>
				<label for="sfba-mm-api-key">Enter Your MadMimi API Key:</label>
				<br/>
				<input type="text" id="sfba-mm-api-key" name="sfba_mm_api_key" class="" value="<?php echo esc_attr( get_option('sfba_mm_api_key') ); ?>" placeholder="MadMimi API Key" />
				<p>Your MadMimi <strong>Lists</strong> will auto generate when you will create new Subscribe form to send users info to specific MadMimi List.</p>
				<a href="https://help.madmimi.com/where-can-i-find-my-api-key/" target="_blank">Help: How to find your MadMimi API KEY</a>
			</div>
		</div>
 -->
		<?php 
		$get_mc_lists = get_option('sfba_mc_api_key');
		if (isset($get_mc_lists) && $get_mc_lists != '') {
			global $wpdb;
			$table_name = $wpdb->prefix . 'sfba_subscription_lists';
			$sfba_service_name = 'mailchimp';
			require_once 'MCAPI.class.php';
			$apikey= get_option('sfba_mc_api_key'); // Enter your MailChimp API key here
			$api = new WPAPPP_MCAPI($apikey);
			$retval = $api->lists();
			foreach ($retval['data'] as $list){
				$sfba_service_list_id   = $list['id'];
				$sfba_service_list_name = $list['name'];
				$sql = "INSERT INTO {$wpdb->prefix}sfba_subscription_lists (sfba_service_name,sfba_service_list_id,sfba_service_list_name) SELECT * FROM (SELECT 'mailchimp' , '$sfba_service_list_id' ,'$sfba_service_list_name' ) AS tmp WHERE NOT EXISTS (SELECT sfba_service_list_id FROM {$wpdb->prefix}sfba_subscription_lists WHERE sfba_service_list_id = '$sfba_service_list_id')  LIMIT 1";
			//var_dump($sql); // debug
				$sql = $wpdb->prepare($sql,$post_id,$sfba_service_list_id,$sfba_service_list_id);
			// var_dump($sql); // debug
				$wpdb->query($sql);
				}
			}

			$get_gr_lists = get_option('sfba_gr_api_key');
			if (isset($get_gr_lists) && $get_gr_lists !='') {
				global $wpdb;
				$table_name = $wpdb->prefix . 'subscription_lists';
				$sfba_service_name = 'getresponse';
			$api_key = $get_gr_lists; //Place API key here
			$api_url = 'http://api2.getresponse.com';
			require_once 'jsonRPCClient.php';
			# initialize JSON-RPC client
			$client = new jsonRPCClient($api_url);

				$result = $client->get_campaigns($api_key);

			//Get Campaigns name and id.
				foreach($result as $r){
					
					$name = $r['name'];
					$result2 = $client->get_campaigns(
						$api_key,
						array (
							'name' => array ( 'EQUALS' => $name )
							)
						);
					$res = array_keys($result2);
					$CAMPAIGN_IDs = array_pop($res);
					$sfba_service_list_id   = $CAMPAIGN_IDs;
					$sfba_service_list_name = $name;
					$sql = "INSERT INTO {$wpdb->prefix}sfba_subscription_lists (sfba_service_name,sfba_service_list_id,sfba_service_list_name) SELECT * FROM (SELECT 'getresponse' , '$sfba_service_list_id' ,'$sfba_service_list_name' ) AS tmp WHERE NOT EXISTS (SELECT sfba_service_list_id FROM {$wpdb->prefix}sfba_subscription_lists WHERE sfba_service_list_id = '$sfba_service_list_id') LIMIT 1";
			//var_dump($sql); // debug
					$sql = $wpdb->prepare($sql,$post_id,$sfba_service_list_id,$sfba_service_list_id);
			// var_dump($sql); // debug
					$wpdb->query($sql);
				}
			}


			$sfba_ac_url = get_option('sfba_ac_url');
			$sfba_ac_api_key = get_option('sfba_ac_api_key');
			if ( isset($sfba_ac_url) && isset($sfba_ac_api_key) && $sfba_ac_url != '') {
				global $wpdb;
				$table_name = $wpdb->prefix . 'sfba_subscription_lists';
				$sfba_service_name = 'getresponse';

				require_once("ActiveCampaignAPI/ActiveCampaign.class.php");
				$ac = new ActiveCampaign($sfba_ac_url, $sfba_ac_api_key);
				/*
				 * TEST API CREDENTIALS.
				 */
				if (!(int)$ac->credentials_test()) {
					echo "<p>Access denied: Invalid Active Campaign credentials (URL and/or API key).</p>";
					exit();
				}
				
				$url = $sfba_ac_url.'/admin/api.php?api_key='.$sfba_ac_api_key.'&api_action=list_list&api_output=xml&ids=all&full=1';
				$sxml = simplexml_load_file($url);
				foreach($sxml->row as $id){
					$sfba_service_list_id   =  $id->id;
					$sfba_service_list_name = $id->name;
				   
					$sql = "INSERT INTO {$wpdb->prefix}sfba_subscription_lists (sfba_service_name,sfba_service_list_id,sfba_service_list_name) SELECT * FROM (SELECT 'activecampaign' , '$sfba_service_list_id' ,'$sfba_service_list_name' ) AS tmp WHERE NOT EXISTS (SELECT sfba_service_list_id FROM {$wpdb->prefix}sfba_subscription_lists WHERE sfba_service_list_id = '$sfba_service_list_id') LIMIT 1";
			//var_dump($sql); // debug
					$sql = $wpdb->prepare($sql,$post_id,$sfba_service_list_id,$sfba_service_list_id);
			// var_dump($sql); // debug
					$wpdb->query($sql);
				}
			}

/*require('MadMimiAPI/MadMimi.class.php');
$mailer = new MadMimi('mutiullah7@gmail.com', '0c52aeebf18f6ddfd114b2e88ac1426b'); 
$user = array('email' => 'emailaddress@example.com', 'firstName' => 'nicholas', 'add_list' => 'Test');
$mailer->AddUser($user);
$lists = $mailer->Lists();
$xml = simplexml_load_string($lists);
foreach($xml->list->attributes() as $a => $b) {
    echo $a,'="',$b,"\"\n";
}*/
submit_button(); ?>
</form>

</div>